--[[
	Due to the fact that not every locale is going to use the same type of definitions or acronyms, each one is it's own module.
	Sadly use of the WoWAce-CurseForge Loclization App is not viable

]]--

if GetLocale() ~= "enUS" then return end

local AcronymGuide = _G.AcronymGuide
local def


local function enUS_Def(self)
	for i = 1, #def do
		self:AddDefinition_A( def[i] )
	end
end

table.insert(AcronymGuide.PlayerLoginFunc, enUS_Def)
--[[
	Conventions:
"txt|LinkText|Title\002Desc"
txt is the acronym with out any formatting, no spaces no dashes nothing and in lower case. 
	don't confuse that h hos and hhos are the same thing, the pattern sees spaces and ther naturall seperators as different elements.
LinkText is the stuff that the user sees
the title and description are seperated by \002. Each \002 is a new line.
]]--

def = {	--Start of Definition File
--For Example
"lfg|LFG|Looking For Group\002Meaning that this player is seeking others to join them in a party for some event",

---------------
--- Commerce and Trade
---------------

"wtb|WTB|Want To Buy\002Indicating this person is seeking to purchace or aquire the following item or thing.",
"wtc|WTC|Want To Craft",
"wts|WTS|Wants To Sell",
"lfw|LFW|Looking for Work\002Usualy found with a tradeskill link afterwards",
"pst|PST|Please Send a Tell",

---------------
--- Grouping and Instancing
--------------
--WOTLK~~~~~~~~~~~~~~~~~~~~~~~~
	--Raids
		--Nax
"hnax|H-Nax|Heroic: Naxxramas\002A Level 80 Raid Instance in Dragon Blight",
"nax|Naxxramas\002A Level 80 Raid Instance in Dragon Blight",

		--OS
"hos|HOS|Halls of Stone\002A level 80, 5 Man instance in Storm Peaks\002Heroic: Obsidian Sanctum\002A Level 80 Raid Instance in Dragon Blight\002 or ",
"os|OS|Obsidian Sanctum\002A Level 80 Raid Instance in Dragon Blight",
		--Mally

		--VoA
"hvoa|H-VoA|Heroic: Vault Of Arcavon\001A Small Level 80 Raid Instance in Wintergrasp",
"voa|VoA|Vault of Archavon\002A small level 80 Raid Instance in Wintergrasp",

		--PvP Event
"wg|WG|Winter Grasp\002A PvP Zone in Northrend.\002This May also refer to Valt of Arcavon, a level 80 Raid Instance.",


	--North Rend Instances, Heroic's Must Come first in the chain
		--Nexus
"hnexus|H-Nexus|Heroic Nexus\002A level 80 Heroic in Borean Tundra",
"nexus|Nexus|Nexus\002A level 70 Instance in Borean Tundra",
		--Oculus

		--DTK
"hdtk|H-DTK|Heroic Drak'Tharon Keep\002A Level 80 Heroic in Zul'Drak",
"dtk|DTK|Drak'Tharon Keep\002A level 75 instance in Zul'Drak",

		--Gundrak

		--Ulduar
"hhos|H-HoS|Heroic: Halls of Stone\002A Level 80 Heroic Instance in Storm Peaks",
"hol|HoL|Halls Of Lightning\002 lvl 79-80 five-man wing of Ulduar in the Storm Peaks",
"hhol|H-HoL|Heroic Halls Of Lightning\002 lvl 79-80 five-man wing of Ulduar in the Storm Peaks",
		--Utgard
"huk|H-UK|Hoeric: Utgard Keep\002A Level 80 Heroic in Howling Fjord",
"uk|UK|Utgard Keep\002A Level ~70 5man Instance in Howling Fjord",

		--Azjol
"han|H-AN|Heroic: Azjol-Nerub\002A Level 80 Heroic in Dragonblight",
"hok|H-OK|Heroic Ahn'Kahet: 'The Old Kindom'\002Just refered to as 'Old Kingdom'",

		--CoT
"hcos|H-CoS|Heroic: Caverns Of Time: Culling of Stratholme\002A Level 80 Heroic. The 4th Wing of Caverns of Time added in Wrath",
"cos|CoS|Caverns Of Time: Culling of Stratholme", "A Level ~79 Instance. The 4th Wing of Caverns of Time added in Wrath",
"strat|Strat|Stratholme\002An old world 5man instance\002Also, Culling of Stratholme, a Wrath 5man Instance",	--to be modified as needed.

		--VH
"hvh|H-VH|Heroic: Violet Hold\002A Level 80 Heoic in Dalaran",
"vh|VH|Violet Hold\002A Level 75 Instance in Dalaran",

"sota|Strand Of The Ancients|A 20man Battleground introduced in Wrath",

--BC~~~~~~~~~~~~~~~~~~~~~
"bc|BC|Burning Crusade\002 the 1st expansion to WoW\002 possibly refering to BC as like the timeline BC or AD but most likely not",
	--BC Instances
"bf|BF|Blood Furnace\002A Outland Instance for lvl 62",
"bm|BM|BlackMorass\002The second instance in Caverns of Time\002Could Also be Beast Mastery, a Hunter Tallent Tree",
"cot|CoT|Caverns Of Time\002A BC and Wrath Instance Hub, in common use it will likely reference the instance\002The Culling of Strathomle, a lvl ~78 Instance",
"mgt|MgT|Magisters' Terrace\002A lvl 70 Instance north of Silvermoon City",

-----------------
--BC Raids
-----------------
"bt|BT|Black Temple\002A Lvl 70 Raid Instance in Shadowmoon Valley in Outland",
"swp|SWP|Sunwell Plateau\002A lvl 70 Raid Instance north of Silvermoon City\002Also: Shadow Word Pain, a priest damage spell",
"za|ZA|Zul'Aman\002A lvl 70, 10man Raid Instance in Ghostlands near Silvermoon City",
"tk|TK|Tempist Keep\002A 4 Wing Instance hun in Netherstorm in Outlands\002'TK' in useage usually referes to the instance 'The Eye', a lvl 70 Raid",
"eots|EotS|Eye Of The Storm\002A 20man Battleground added in BC",


--Classic~~~~~~~~~~~~~~~`
-------------
--Instances
-------------
"sm|SM|Scarlet Monastery\002 a 4 wing instance in tristfall glades for lvl 23-40",
"zg|ZG|Zul' Grub\002 a 20 man instance in strangle thorn vale",
"brd|BRD|Black Rock Depths\002 the deepest part of blackrock mountain a lvl 48-56 instance",
"rfd|RFD|Razor-fen Downs\002 a level 30ish instance in the barrens",
"rfk|RFK|Razor-fen Kraul\002 a level 20ish instance in the barrens",
"rfc|RFC|Rage Fire Chasm",
"dm|DM|Deadmines\002 a level 10ish instance in westfall",
"bfd|BFD|Blackfathom Depths\002 a partially submerged dungeon in NW ashenvale",
"ubrs|UBRS|Upper Blackrock Spire",
"lbrs|LBRS|Lower Blackrock Spire",
"brm|BRM|Blackrock Mountain/002 usually stated as ubrs or lbrs upper or lower blackrock",
"zf|ZF|Zul'Farrak\002 a lvl 45ish instance in Tanaris",
--------------
--Battlegrounds and terms
--------------
"ab|AB|Arathi Basin\002A 20 man Battlground from Old World",
	"gm|GM|Great Many Things\002In PvP, often refers to Gold Mine, a node in Arathi Basin\002In Guids, means Guild Master\002Also: Game Master, a Blizzard Customer Service Rep",
	"lm|LM|Lumber Mill\002A Resource Node in Arathi Basin",
	"st|ST| \002 Stables, a Resource Node in Arathi Basin\002Sunken Temple, a lvl ~45 instance in Old World",
"av|AV|Alterc Valley\002A 40 man Battleground from Old World",
"wsg|WSG|Warson Gulch\002A 15man Battleground from Old World",

---------------
--General
---------------
"dps|DPS|Damage Per Second\002Also referes to any class or role that deals damage",
"lfm|LFM|Looking For More",
"lf|LF|Looking For\002    Something to Eat maybe?",
"fp|FP|Flight Point or Path",
"fm|FM|Flight Master",
"mt|MT|Many Things\002 'Mis-Tell', when you say something in the wrong channel\002 Main Tank, indicating somone who should bare the brunt of the damage in an instance\002 Magisters' Terrace, a level 70 BC Instance\002 Mana Tombs, a level ~63 BC Instance",
"ot|OT|Off Tank\002An Assistant to a Main Tank",
"iirc|iirc|If I Recall Correctly/002 huh? you sure thats right",
"ony|ONY|Onyxia\002 40 man raid boss",
"lvl|lvl|Level\if you need the add-on for this one.....ummmmm stop playing",
"bwl|BWL|Black Wing Layer\002 a lvl 60 40 man raid instance",
"afaik|AFAIK|As Far As I Know\002 r u sure you know.....anything?",
"atm|ATM|At The Moment",
"brt|BRT|Be Right There\002 im running like the wind blo-ows",
"btw|BTW|By The Way\002 huh?",
"g2g|G2G|Good To Go",
"omw|OMW|On My Way\002 watch out here i come!",
"ftl|FTL|For The Loss\002 it must be really bad",
"ftw|FTW|For The Win\002 it must be completely awesome!",
"idk|IDK|I Don't Know\002 who really knows anything anyway?",
"imo|IMO|In My Opinion\002 you know what these are like...cause everyone has one",
"lf1m|LF1M|Looking For One More",
"lf2m|LF2M|Looking For Two More",
"lf3m|LF3M|Looking For Three More",
"ofc|OFC|Of Course",
"tbh|TBH|To Be Honest\002 normally precieding a tall tale",
"gl|GL|Good Luck\002 wishing you good fortune or possibly sarcasm",
"mats|Mats|Materials",
"vent|Vent|Ventrillo\002 a voice chat mechanism where players can speak to one another verbally",
"hp|HP|Hit-Poits\002 or health whichever you prefer",
"mp|MP|Mana-Points",
"oom|OOM|Out Of Mana\002 this player wants you to wait while they get their mana back",
"dal|Dal|Dalaran\002 a city in northrend",
"toc|ToC|Trail Of the Crusader",
"ah|AH|Auction House\002 Money,Money,Money,Money.....MONEY!!",
"resto|Resto|Restorative\002 a character specializing in healing with spells that happen a little bit over a period of time",
"grp|Grp|Group\002 a party of players",
--------------
--- Professions
---------------
"jc|JC|Jewlcrafting",
"bs|BS|Blacksmithing\002 A profession\002 Also a Resource node in Arathi Basin",
"alch|ALCH|Alchemist\002 someone with the alchemy profession",
--------------
--- Prominant Locations
---------------
"lhc|LHC|Lights Hope Chapel\002A 'Town' in Easter Plauge Lands where the Argent Dawn have their headquarters",

}	--End of Definition File



